| API Docs for SAX and DOM |
| Main Page Classes Files Related Pages Alphabetical List Class List Class Hierarchy Class Members # XMLNumber Class Reference Inheritance diagram for XMLNumber: [legend] List of all members.
## Public Types
enum | { LESS_THAN = -1, EQUAL = 0, GREATER_THAN = 1, INDETERMINATE = 2 }
enum | NumberType { Float, Double, BigDecimal, DateTime, UnKnown }
## Public Member Functions
virtual | ~XMLNumber ()
virtual XMLCh * | toString () const =0
| Deprecated: please use getRawData.
virtual XMLCh * | getRawData () const =0
| Return string representation of the decimal value.
virtual const XMLCh * | getFormattedString () const =0
| Return the original and converted value of the original data.
virtual int | getSign () const =0
| Returns the sign of this number.
## Static Public Member Functions
static XMLNumber * | loadNumber (XMLNumber::NumberType numType, XSerializeEngine &serEng)
## Protected Member Functions
| XMLNumber ()
| XMLNumber (const XMLNumber &)
## Member Enumeration Documentation
anonymous enum
  Enumerator:
  LESS_THAN |
  EQUAL |
  GREATER_THAN |
  INDETERMINATE |
enum XMLNumber::NumberType
  Enumerator:
  Float |
  Double |
  BigDecimal |
  DateTime |
  UnKnown |
## Constructor & Destructor Documentation
virtual XMLNumber::~XMLNumber | ( |  | ) | `[virtual]`
XMLNumber::XMLNumber | ( |  | ) | `[protected]`
XMLNumber::XMLNumber | ( | const XMLNumber & |  | ) | `[protected]`
## Member Function Documentation
virtual XMLCh* XMLNumber::toString | ( |  | ) | const`[pure virtual]`
Deprecated: please use getRawData. Return string representation of the decimal value. A decimal point will be included as necessary, the caller of this method is responsible for the de-allocation of the memory. Implemented in XMLAbstractDoubleFloat, XMLBigDecimal, and XMLDateTime.
virtual XMLCh* XMLNumber::getRawData | ( |  | ) | const`[pure virtual]`
Return string representation of the decimal value. A decimal point will be included as necessary. Similar to toString above, but the internal buffer is returned directly, user is not required to delete the returned buffer Implemented in XMLAbstractDoubleFloat, XMLBigDecimal, and XMLDateTime.
virtual const XMLCh* XMLNumber::getFormattedString | ( |  | ) | const`[pure virtual]`
Return the original and converted value of the original data. (applicable to double/float) The internal buffer is returned directly, user is not required to delete the returned buffer Implemented in XMLAbstractDoubleFloat, XMLBigDecimal, and XMLDateTime.
virtual int XMLNumber::getSign | ( |  | ) | const`[pure virtual]`
Returns the sign of this number. -1 negative 0 zero 1 positive Implemented in XMLAbstractDoubleFloat, XMLBigDecimal, and XMLDateTime.
static XMLNumber* XMLNumber::loadNumber | ( | XMLNumber::NumberType | numType,
|  | XSerializeEngine & | serEng |
| ) |  |  | `[static]`
The documentation for this class was generated from the following file: XMLNumber.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.